#
# $Id$
#

SHELL	= /bin/sh

srcdir	= @srcdir@
top_builddir	= ../../..
VPATH	= @srcdir@

CC	= @CC@
AR	= ar
RANLIB	= @RANLIB@
INCLUDES = -I.					\
	   -I$(srcdir)				\
	   -I$(srcdir)/../../fs			\
	   -I$(srcdir)/../../..			\
	   -I../../../rxdef			\
	   -I../../../include			\
	   -I$(srcdir)/../dpart			\
	   -I../vstatus				\
	   -I$(srcdir)/../vstatus		\
	   $(KRB5_INC_FLAGS)			\
	  @INC_roken@				\
	   -I$(srcdir)/../../../include

CFLAGS	= @CFLAGS@
KRB5_INC_FLAGS= @KRB5_INC_FLAGS@

INSTALL = @INSTALL@
INSTALL_DATA	= @INSTALL_DATA@
MKINSTALLDIRS = @top_srcdir@/mkinstalldirs

prefix = @prefix@
exec_prefix = @exec_prefix@
libdir = @libdir@
sysconfdir = @sysconfdir@
ARLACACHEDIR = @ARLACACHEDIR@
ARLACONFFILE = @ARLACONFFILE@

#PICFLAGS = @PICFLAGS@
 
LIBNAME = $(LIBPREFIX)voldb
#LIBEXT = @LIBEXT@
LIBEXT = a
#SHLIBEXT = @SHLIBEXT@
#LIBPREFIX = @LIBPREFIX@
LIBPREFIX = lib
#LDSHARED = @LDSHARED@
LIB = $(LIBNAME).$(LIBEXT)

DEFS	= @DEFS@

LIB_SOURCES = voldb.c vdb_flat.c vol.c

SOURCES = $(LIB_SOURCES)

LIB_OBJECTS = voldb.o vdb_flat.o vol.o

OBJECTS = $(LIB_OBJECTS) 

all: $(LIB)

Wall:
	make CFLAGS="-g -Wall -Wno-comment -Wmissing-prototypes -Wmissing-declarations -D__USE_FIXED_PROTOTYPES__"

.c.o:
	$(CC) -c $(CPPFLAGS) $(DEFS) $(INCLUDES) $(CFLAGS) $(PICFLAGS) $<

install: all
	$(MKINSTALLDIRS) $(DESTDIR)$(libdir)
	$(INSTALL_DATA) $(LIB) $(DESTDIR)$(libdir)/$(LIB)

uninstall:
	rm -f $(DESTDIR)$(libdir)/$(LIB)

TAGS: $(SOURCES)
	etags $(SOURCES)

check:

clean:
	rm -f $(LIB) $(PROGS) *.o *.a

mostlyclean: clean

distclean: clean
	rm -f Makefile *~

realclean: distclean
	rm -f TAGS

$(LIBNAME).a: $(LIB_OBJECTS)
	rm -f $@
	$(AR) cr $@ $(LIB_OBJECTS)
	-$(RANLIB) $@

#$(LIBNAME).$(SHLIBEXT): $(LIB_OBJECTS)
#	rm -f $@
#	$(LDSHARED) -o $@ $(LIB_OBJECTS)

$(OBJECTS): ../../../include/config.h

Makefile:	Makefile.in ../../../config.status
	cd ../../..; CONFIG_FILES=milko/lib/voldb/Makefile CONFIG_HEADERS= $(SHELL) config.status


.PHONY: all install uninstall check clean mostlyclean distclean realclean
